"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsePermissions = void 0;
const common_1 = require("@nestjs/common");
const authz_constants_1 = require("../authz.constants");
const defaultIsOwn = (ctx) => false;
const UsePermissions = (...permissions) => {
    const perms = permissions.map((item) => {
        if (!item.isOwn) {
            item.isOwn = defaultIsOwn;
        }
        return item;
    });
    return (0, common_1.SetMetadata)(authz_constants_1.PERMISSIONS_METADATA, perms);
};
exports.UsePermissions = UsePermissions;
//# sourceMappingURL=use-permissions.decorator.js.map